services:
  db:
    image: pgvector/pgvector:pg16
    environment:
      POSTGRES_DB: sirep
      POSTGRES_USER: sirep
      POSTGRES_PASSWORD: sirep
    ports: ["5432:5432"]
    volumes:
      - ./db/init:/docker-entrypoint-initdb.d
      - sirep_db:/var/lib/postgresql/data

  redis:
    image: redis:7-alpine
    ports: ["6379:6379"]

volumes:
  sirep_db:
